# -*- coding: utf-8 -*-

import importlib
import importlib.util
import os
import setuptools

"""This file is used to package the MyCustomPlugin plugin.

- It was generated by the InvenTree Plugin Creator tool - version 1.8.1
- Ref: https://github.com/inventree/plugin_creator
"""

"""Read the plugin version from the source code."""
module_path = os.path.join(os.path.dirname(__file__), "order_history", "version.py")
spec = importlib.util.spec_from_file_location("order_history", module_path)
order_history = importlib.util.module_from_spec(spec)
spec.loader.exec_module(order_history)


with open('README.md', encoding='utf-8') as f:
    long_description = f.read()

setuptools.setup(
    name="inventree-order-history",
    version=order_history.PLUGIN_VERSION,
    author="Oliver Walters",
    author_email="oliver.henry.walters@gmail.com",
    description="Order history plugin for InvenTree",
    long_description=long_description,
    long_description_content_type='text/markdown',
    keywords="inventree inventory",
    url="https://github.com/inventree/inventree-order-history",
    license="MIT",
    packages=setuptools.find_packages(),
    include_package_data=True,
    install_requires=[
        'tablib',
    ],
    setup_requires=[
        "wheel",
        "twine",
    ],
    python_requires=">=3.9",
    entry_points={
        "inventree_plugins": [
            "OrderHistoryPlugin = order_history.core:OrderHistoryPlugin"
        ]
    },
)
